%define	name	runit
%define	version	0.11.1
%define	release	1mdk

Summary:	A UN*X init scheme with service supervision
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Base
URL:		http://smarden.org/runit/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	dietlibc-devel >= 0.20
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
runit is a daemontools alike replacement for SysV-init and other
init schemes. It currently runs on GNU/Linux, OpenBSD, FreeBSD,
and can easily be adapted to other Unix operating systems. runit
implements a simple three-stage concept. Stage 1 performs the
system's one-time initialization tasks. Stage 2 starts the
system's uptime services (via the runsvdir program). Stage 3
handles the tasks necessary to shutdown and halt or reboot. 

%prep

%setup -q -n admin

%build
# OE: This is quite different from the ordinary to some...
# It makes rpmlint crazy, but what does _it_ know about the real world?
pushd %{name}-%{version}/src
    echo "diet -Os gcc -march=pentium -pipe" > conf-cc
    echo "diet -Os gcc -march=pentium -static -s" > conf-ld
    make
popd

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}/sbin/
install -d %{buildroot}%{_mandir}/man8

pushd %{name}-%{version}
    for i in `cat package/commands`; do
	install -m755 src/$i %{buildroot}/sbin/
    done
popd

install -m755 %{name}-%{version}/man/*.8 %{buildroot}%{_mandir}/man8/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{name}-%{version}/package/CHANGES
%doc %{name}-%{version}/package/README
%doc %{name}-%{version}/package/THANKS
%doc %{name}-%{version}/doc/benefits.html
%doc %{name}-%{version}/doc/dependencies.html
%doc %{name}-%{version}/doc/index.html
%doc %{name}-%{version}/doc/install.html
%doc %{name}-%{version}/doc/replaceinit.html
%doc %{name}-%{version}/doc/runlevels.html
%doc %{name}-%{version}/doc/runscripts.html
%doc %{name}-%{version}/doc/upgrade.html
%doc %{name}-%{version}/doc/usedietlibc.html
%doc %{name}-%{version}/doc/useinit.html
%doc %{name}-%{version}/etc/2
%doc %{name}-%{version}/etc/debian
%attr(0755,root,root) /sbin/runit
%attr(0755,root,root) /sbin/runit-init
%attr(0755,root,root) /sbin/runsv
%attr(0755,root,root) /sbin/runsvdir
%attr(0755,root,root) /sbin/runsvchdir
%attr(0755,root,root) /sbin/svwaitdown
%attr(0755,root,root) /sbin/runsvctrl
%attr(0755,root,root) /sbin/runsvstat
%attr(0755,root,root) /sbin/svwaitup
%attr(0755,root,root) /sbin/svlogd
%attr(0755,root,root) /sbin/chpst
%attr(0755,root,root) /sbin/utmpset
%attr(0644,root,root) %{_mandir}/man8/chpst.8*
%attr(0644,root,root) %{_mandir}/man8/runit-init.8*
%attr(0644,root,root) %{_mandir}/man8/runit.8*
%attr(0644,root,root) %{_mandir}/man8/runsv.8*
%attr(0644,root,root) %{_mandir}/man8/runsvchdir.8*
%attr(0644,root,root) %{_mandir}/man8/runsvctrl.8*
%attr(0644,root,root) %{_mandir}/man8/runsvdir.8*
%attr(0644,root,root) %{_mandir}/man8/runsvstat.8*
%attr(0644,root,root) %{_mandir}/man8/svlogd.8*
%attr(0644,root,root) %{_mandir}/man8/svwaitdown.8*
%attr(0644,root,root) %{_mandir}/man8/svwaitup.8*
%attr(0644,root,root) %{_mandir}/man8/utmpset.8*

%changelog
* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.11.1-1mdk
- 0.11.1

* Fri Aug 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.11.0-1mdk
- initial cooker contrib
